ck2cti(1)

NAME
ck2cti - convert Chemkin-II-format mechanisms to Cantera input files (.cti)

SYNOPSIS
ck2cti --input=mech-file [--thermo=thermo-file] [--transport=transport-file] [--id=phase-id] [--output=out-file] [-d | --debug]

DESCRIPTION
ck2cti converts a Chemkin-II-format reaction mechanism file to Cantera input format. The resulting Cantera input file contains a definition of one ideal_gas entry that represents an ideal gas mixture corresponding to the Chemkin-II reaction mechanism. The file also contains Cantera-format definitions for each species and each reaction in the input reaction mechanism file. The Cantera-format mechanism is written to out-file The parameters are as follows:

--input=mech-file
    Chemkin-II reaction mechanism file to be converted. Required. This file must contain the declarations of the elements and species, as well as the reactions (if any). It may also contain the thermodyamic and transport data.

--thermo=thermo-file
    Thermodynamic property database. If the THERMO section of the input file is missing or does not have entries for one or more species, this file will be searched for the required thermo data.

--transport=transport-file
    Transport property database. If this file name is supplied, transport property parameters will be taken from this file and included in the output Cantera-format file. If this parameter is omitted, and no TRANSPORT section was included in the main input file, no transport property parameters will be included in the output.

--id=phase-id
    Optional identification string, used to set the id field of the ideal_gas entry in the Cantera-format output. If this parameter is omitted, it will be set to gas

EXAMPLE
ck2cti --input=chem.inp --thermo=therm.dat --transport=tran.dat